## Projects

<ProjectCard
  link="https://youtu.be/4xwlaBO9pm8"
  bg="linear-gradient(to right, #D4145A 0%, #FBB03B 100%)"
>
  ##### 🏷️ Student Project
  ##### System of management and assessment for student program outcome stadards
  Building applications capable of analyzing the quality of university training quantified based on subject Program Outcome Standards.\
  ✍ Created base on __Java Swing__ in April 2019.\
  🧩 Database: __SQL Server__.\
  🤝 Team member: Kiên.\
  __[#️⃣ Source code](https://gitlab.com/trungkien98.77/cong-nghe-java)__
</ProjectCard>

<ProjectCard
  link="/ManyChat.png"
  bg="linear-gradient(to right, #662D8C 0%, #ED1E79 100%)"
>
  ##### 🏷️ Student Project
  ##### Viral chatbot using Manychat on Facebook Messenger
  Our Chatbot is created based on the technology of ManyChat. It is a social media marketing tool that covers everything from helping you acquire new followers to sharing content automatically with them and even chatting with them when they have questions.\
  ✍ Created in May 2019.\
  🤝 Team member: Trung Kien and 4 others. Roles: building system flow and making report.
</ProjectCard>

<ProjectCard
  link="/DriveBean.png"
  bg="linear-gradient(to right, #009245 0%, #FCEE21 100%)"
>
  ##### 🏷️ Internship Project
  ##### Data sharing and management system base on Hyperledger blockchain
  The system helps members of the organization to manage personal data and share information through joint projects. User operation history is recorded by Hyperledger Fabric (private blockchain)\
  ✍ Created in July 2019.\
  🧩 Back-end: __Java Spring Boot__, Front-end: __ReactJS__, Blockchain network: __Hyperledger Composer__, Database: __PostgresSQL__.\
  🤝 Team members: Kiên and 3 others. Roles: building blockchain network, maintaining the back-end.
</ProjectCard>

<ProjectCard
  link="https://drive.google.com/file/d/1An0A7cgMXoWatwuSsq1bRIMfOKPoa59Q/view?usp=sharing"
  bg="linear-gradient(to right, #D585FF 0%, #00FFEE 100%)"
>
  ##### 🏷️ Graduation Thesis
  ##### Building management system and tracing the origin of foods on website using blockchain
  The supply chain is the network of distributing the raw materials, processing them through intermediate, and utilized by consumers. Blockchain technology is united with the Internet of Things to provide increased transparency and an efficient supply chain.\
  ✍ Execution time: 8 month (from Feb 2020 to Sep 2020)\
  🧩 Blockchain network: __Hyperledger Fabric__; Back-end: __Java Spring Boot__; Database: __PostgresSQL__; Front-end: __ReactJS__; The system is deployed in __Docker__ environment on __GCP Compute Engine__.\
  🤝 Team members: Kiên and @NgocDuy. Roles: Blockchain network owner, maintaining feature.\
  __[#️⃣ Source code](https://gitlab.com/kdtrace)__
</ProjectCard>

<ProjectCard
  link="/ResourceChains.png"
  bg="linear-gradient(to right, #D4145A 0%, #FBB03B 100%)"
>
  ##### 🏷️ Company Project
  ##### ResourceChains - Business growth services
  🧩 Using microservice architectures to build and deploy these systems base on the __Docker__ environment. Back-end: __Java Spring Boot__; Database: __PostgresSQL__; Practice security configuration using JWT. Using AWS to send mail, save files, and deploy projects. Important data is saved in __Blockchain - Hyperledger Fabric__.\
  ✍ Execution time: 6 months.\
  🤝 Team members: Trung Kien and 5 others. Roles: updating features (back-end) and maintaining blockchain network - Hyperledger Fabric.
</ProjectCard>

<ProjectCard
  link="https://happyhotel.jp/"
  bg="linear-gradient(to right, #662D8C 0%, #ED1E79 100%)"
>
  ##### 🏷️ Company Project
  ##### Happy Hotel - Hotel and related services
  Happy Hotel is an online travel agency for lodging reservations and manages hotels for the owner and supervisor. We are in charge of maintenance and adding new functionality in the Web server.\
  🧩 Technology: __Java Servlet API__ (including Java, HTML, CSS, JavaScript, Database,...).\
  ✍ Execution time: 1 year (from March 2020 to March 2021)\
  🤝 Team members: Trung Kien and 4 others. Roles: Updating layout, reformatting logic, fixing security with cookies and session,...
</ProjectCard>